You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Serge L. <sma...@us...> - 2009-02-25 18:28:47
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv30822 Modified Files: md5sum.lst Log Message: - was 2 aoe6 packages in the list Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.474 retrieving revision 1.475 diff -u -d -r1.474 -r1.475 --- md5sum.lst 24 Feb 2009 23:38:16 -0000 1.474 +++ md5sum.lst 25 Feb 2009 18:28:35 -0000 1.475 @@ -122,7 +122,7 @@ a2bc99ac9896a3e060da1d45533198c7 src/alsa-tools-1.0.2.tar.bz2 f1742e00052f01a00fca881d796e6bf4 src/alsa-utils-1.0.2.tar.bz2 a5566c15dbae1f5c86a08482eb405725 src/alsaplayer-0.99.76.tar.bz2 -23c4992c3d2ef79423ad0a23ec0fea1c src/aoe6-66.tar.gz +6c8c995b9c25862562cdb4e91663d002 src/aoe6-69.tar.gz d2e710176430a28d624500e145d9ffe3 src/apcupsd-3.12.1.tar.gz c74dd987ae8006d5a60f2464cedb2b94 src/arping-2.06.tar.gz cebfeb99c4a7c2a6cee2564770415fe7 src/arpwatch-2.1a15.tar.gz @@ -611,4 +611,3 @@ 72f6a0b0d9e4ddc56ed964609e26ec2c src/pecl/pecl_http-1.6.1.tgz 03c929a38cc012eab839e6f0631f99e7 src/pecl/rar-1.0.0.tgz bc591b4bae8862998bbefcb79d9db232 src/pecl/zip-1.8.10.tgz -6c8c995b9c25862562cdb4e91663d002 src/aoe6-69.tar.gz |
|
From: Serge L. <sma...@us...> - 2009-02-24 23:38:26
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv6261 Modified Files: CHANGES md5sum.lst Log Message: - updated aoe6 to .69 (sl) - updated conntrack-tools to 0.9.10 (sl) - updated libnfnetlink to 0.0.40 (sl) - updated openssh to 5.2p1 (sl) - updated patch-o-matic-ng to 20090209 (sl) - updated shorewall-common to 4.2.5 (sl) - updated shorewall-perl to 4.2.5.3 (sl) - updated shorewall-shell to 4.2.5 (sl) - updated sqlite to 3.6.11 (sl) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1243 retrieving revision 1.1244 diff -u -d -r1.1243 -r1.1244 --- CHANGES 24 Feb 2009 21:03:14 -0000 1.1243 +++ CHANGES 24 Feb 2009 23:38:16 -0000 1.1244 @@ -22,6 +22,15 @@ # 1.3.7 +- updated aoe6 to .69 (sl) +- updated conntrack-tools to 0.9.10 (sl) +- updated libnfnetlink to 0.0.40 (sl) +- updated openssh to 5.2p1 (sl) +- updated patch-o-matic-ng to 20090209 (sl) +- updated shorewall-common to 4.2.5 (sl) +- updated shorewall-perl to 4.2.5.3 (sl) +- updated shorewall-shell to 4.2.5 (sl) +- updated sqlite to 3.6.11 (sl) - added ssmtp as an optional smtp server (sl) - added db-4 patches to resolved deadlock issue - updated openldap to 2.4.14 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.473 retrieving revision 1.474 diff -u -d -r1.473 -r1.474 --- md5sum.lst 24 Feb 2009 23:15:32 -0000 1.473 +++ md5sum.lst 24 Feb 2009 23:38:16 -0000 1.474 @@ -164,7 +164,7 @@ 90e6755ff66c1e8919e8d7af5db0fffa src/compartment-gcc33.diff.bz2 dfe79018632cca7282c7428f2677b931 src/compartment-gcc4.diff.bz2 055c3cfa75c783bdaaa294d7895584c5 src/compartment-no-close-fd.diff.bz2 -35b0ab9cde069b4ec8a493daae82d67b src/conntrack-tools-0.9.9.tar.bz2 +cd46ed2d5cd4797add0cd444a209c1e7 src/conntrack-tools-0.9.10.tar.bz2 2ca9ac69823dbd567b905a9e9f53c4f6 src/coreutils-6.12.tar.gz 4740483b05196fa8b28523f8701d84ec src/coreutils-patches.tar.bz2 e02859af1bbbbd73fcbf757acb57e0a4 src/cpio-2.5.tar.gz @@ -344,7 +344,7 @@ 540ff915e5ac52ec0c00af1384abab40 src/libnet-endianess-fix.diff.bz2 629379482a9e5fa4972c2a8dd611251f src/libnet-shared.diff.bz2 960c3d347d7f4e3fe7437aa198f36e6e src/libnetfilter_conntrack-0.0.99.tar.bz2 -348fed8c1edbe5b873ffc7b192140093 src/libnfnetlink-0.0.39.tar.bz2 +3fe19dc4b05ba7e7e6216123097c2819 src/libnfnetlink-0.0.40.tar.bz2 9233cb77876eb642374a0d2bcaba1170 src/libnfsidmap-0.20.tar.gz 1f29be3f4bcddb5b2f3d965e78f04006 src/libol-0.3.16.tar.gz 7eb305608256ac2a7a27b66ce52627c8 src/libosip2-3.1.0.tar.gz @@ -435,7 +435,7 @@ e1dd82f54cffad3d76da9e712dc58c48 src/openl2tp-0.19_ppp_unix.c.patch.bz2 87f035ca5ddf7c61e720f422cdc997cf src/openl2tp-1.6.tar.gz fe2089adac9e9bef7172c2fb61cb6ae9 src/openldap-2.4.14.tgz -03f2d0c1b5ec60d4ac9997a146d2faec src/openssh-5.1p1.tar.gz +ada79c7328a8551bdf55c95e631e7dad src/openssh-5.2p1.tar.gz 8d7deea5f6d84fef90d1e256990ef048 src/openssl-0.9.8b-sha.diff.bz2 bf768bc75cfb7e1774d314a2bd953f6d src/openssl-0.9.8e-engine.diff.bz2 a5cb5f6c3d11affb387ecf7a997cac0c src/openssl-0.9.8j.tar.gz @@ -516,13 +516,13 @@ 16022367e17f0a7da8c53822beeb5026 src/sg3_utils-1.25.tar.bz2 dd6ca3ac424b447962d7a7af923b7bda src/shadow-4.1.0.tar.bz2 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz -888130a12280f7bf9022009153ac63cd src/shorewall-common-4.2.4.tar.bz2 -58eaf858b8517c6ca79c5f8431b20401 src/shorewall-perl-4.2.4.5.tar.bz2 -95a645963e541aef5a39c707f67874b5 src/shorewall-shell-4.2.4.tar.bz2 +51ef3a22e554cd942469a0d38d07f3b9 src/shorewall-common-4.2.5.tar.bz2 +e7f56d85447ec1c58aa54ce3cb090504 src/shorewall-perl-4.2.5.3.tar.bz2 +9a73eeb321809f221499e622d36ebd83 src/shorewall-shell-4.2.5.tar.bz2 45e5a44803181e2bf3361d562060c904 src/siproxd-0.7.1.tar.gz a282846532ecbd6b4a28072373b3a70b src/smartmontools-5.38.tar.gz a41fd96894ab59ae4df45aa5f3345c52 src/snort-2.8.1.tar.gz -23cd36188f21d427d45191d317bcbcd5 src/sqlite-3.6.6.2.tar.gz +da1f95c6b173fd56d2760bcfd2a3c756 src/sqlite-amalgamation-3.6.11.tar.gz f70da797b6a03208378eafad4140fbe6 src/squashfs3.4-dl.patch.bz2 2a4d2995ad5aa6840c95a95ffa6b1da6 src/squashfs3.4.tar.gz 4009abfbf33d86f40db3ec4280716a0e src/squid-3.0.STABLE9.tar.bz2 @@ -611,3 +611,4 @@ 72f6a0b0d9e4ddc56ed964609e26ec2c src/pecl/pecl_http-1.6.1.tgz 03c929a38cc012eab839e6f0631f99e7 src/pecl/rar-1.0.0.tgz bc591b4bae8862998bbefcb79d9db232 src/pecl/zip-1.8.10.tgz +6c8c995b9c25862562cdb4e91663d002 src/aoe6-69.tar.gz |
|
From: Serge L. <sma...@us...> - 2009-02-24 23:15:37
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv535 Modified Files: md5sum.lst Log Message: - deleted TARPIT from pom-addon, fixed checksum for ssmtp Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.472 retrieving revision 1.473 diff -u -d -r1.472 -r1.473 --- md5sum.lst 24 Feb 2009 22:39:46 -0000 1.472 +++ md5sum.lst 24 Feb 2009 23:15:32 -0000 1.473 @@ -528,7 +528,7 @@ 4009abfbf33d86f40db3ec4280716a0e src/squid-3.0.STABLE9.tar.bz2 b6700f59c48fde5ad4d12f871acba93a src/squidGuard-1.2.1.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 -a625a904dfd39a14754cce23bd6524fa src/ssmtp_2.62-3.dl.patch.bz2 +370cb4064bb5bc458272cdeeb0a6227c src/ssmtp_2.62-3.dl.patch.bz2 257ac04e62ab7e3616e220333a1140cb src/ssmtp_2.62.orig.tar.gz e9449fcee97e6a8ed73934c883c870e0 src/strace-4.5.18.tar.bz2 6ce869f3089bb8654a2379cad5539a4a src/strongswan-4.2.9.tar.bz2 @@ -601,7 +601,6 @@ 2d0ed8c9a1f60b45f949b136f9be1f6c src/zisofs-tools-1.0.8.tar.bz2 debc62758716a169df9f62e6ab2bc634 src/zlib-1.2.3.tar.gz cf52a9c970b97cab7c664d7435c7f7cf src/zlib-patches.tar.bz2 -49b59ce8df750a823c1e143f4cb87c0a src/pom-addon/TARPIT.tar.bz2 5fd86c3316dc49dba172490fdafea5b3 src/special/README e4913aa2edaf097b0627ead6b45fbedc src/special/tzcode2007c.tar.gz 730d744ac691e950066f8b6bd17b02d0 src/special/tzdata2007c.tar.gz |
|
From: Serge L. <sma...@us...> - 2009-02-24 22:59:38
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv22318/scripts Modified Files: patch-o-matic Log Message: - update p-o-m. Index: patch-o-matic =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/patch-o-matic,v retrieving revision 1.38 retrieving revision 1.39 diff -u -d -r1.38 -r1.39 --- patch-o-matic 23 Oct 2008 03:01:34 -0000 1.38 +++ patch-o-matic 24 Feb 2009 22:39:46 -0000 1.39 @@ -46,7 +46,11 @@ # patch -p1 < ../netfilter-layer7-*/iptables-1.4.1*2.6.20forward-layer7*.patch || exit 1 cp -a ../netfilter-layer7-*/iptables-1.4.1.*-2.6.20forward/* extensions/ # chmod +x extensions/.layer7-test || exit 1 + + # otherwise p-o-m doesn't recognize iptables sources + ./configure popd > /dev/null + touch $KERNEL_DIR/.done_layer7 fi fi @@ -77,18 +81,22 @@ EXCLUDE="$EXCLUDE --exclude ${P##*/}" done - [ "$CONFIG_NF_UPDATES" = "y" ] && \ - yes "" | ./runme --batch updates - - [ "$CONFIG_NF_PENDING" = "y" ] && \ - yes "" | ./runme --batch pending $EXCLUDE - - [ "$CONFIG_NF_BASE" = "y" ] && \ - yes "" | ./runme --batch base $EXCLUDE +# [ "$CONFIG_NF_UPDATES" = "y" ] && \ +# yes "" | ./runme --batch updates +# +# [ "$CONFIG_NF_PENDING" = "y" ] && \ +# yes "" | ./runme --batch pending $EXCLUDE +# +# [ "$CONFIG_NF_BASE" = "y" ] && \ +# yes "" | ./runme --batch base $EXCLUDE +# +# [ "$CONFIG_NF_EXTRA" = "y" ] && \ +# yes "" | ./runme --batch extra $EXCLUDE - [ "$CONFIG_NF_EXTRA" = "y" ] && \ - yes "" | ./runme --batch extra $EXCLUDE + [ "$CONFIG_NF_EXTERNAL" = "y" ] && \ + yes "" | ./runme --batch external $EXCLUDE + set_all_kernel_options net/netfilter set_all_kernel_options net/ipv4/netfilter set_all_kernel_options net/ipv6/netfilter |
|
From: Serge L. <sma...@us...> - 2009-02-24 22:59:34
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv22318/scripts/configuration Modified Files: patch-o-matic.config Log Message: - update p-o-m. Index: patch-o-matic.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/patch-o-matic.config,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- patch-o-matic.config 16 Nov 2005 07:14:14 -0000 1.9 +++ patch-o-matic.config 24 Feb 2009 22:39:47 -0000 1.10 @@ -11,14 +11,16 @@ menu_add "Networking|Firewall" bool "Netfilter Layer 7 patch" CONFIG_NF_LAYER7 - menu_add "Networking|Firewall" bool "Netfilter 'updates' patches" CONFIG_NF_UPDATES - - [ "$CONFIG_NF_UPDATES" = "y" ] && - menu_add "Networking|Firewall" bool "Netfilter 'pending' patches" CONFIG_NF_PENDING - - if [ "$CONFIG_NF_UPDATES" = "y" ] && [ "$CONFIG_NF_PENDING" = "y" ]; then - menu_add "Networking|Firewall" bool "Netfilter 'base' patches" CONFIG_NF_BASE + menu_add "Networking|Firewall" bool "Netfilter 'external' patches" CONFIG_NF_EXTERNAL - menu_add "Networking|Firewall" bool "Netfilter 'extra' patches" CONFIG_NF_EXTRA - fi +# menu_add "Networking|Firewall" bool "Netfilter 'updates' patches" CONFIG_NF_UPDATES +# +# [ "$CONFIG_NF_UPDATES" = "y" ] && +# menu_add "Networking|Firewall" bool "Netfilter 'pending' patches" CONFIG_NF_PENDING +# +# if [ "$CONFIG_NF_UPDATES" = "y" ] && [ "$CONFIG_NF_PENDING" = "y" ]; then +# menu_add "Networking|Firewall" bool "Netfilter 'base' patches" CONFIG_NF_BASE +# +# menu_add "Networking|Firewall" bool "Netfilter 'extra' patches" CONFIG_NF_EXTRA +# fi fi |
|
From: Serge L. <sma...@us...> - 2009-02-24 22:59:34
|
Update of /cvsroot/devil-linux/build/scripts/config In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv22318/scripts/config Modified Files: patch-o-matic.exclude Log Message: - update p-o-m. Index: patch-o-matic.exclude =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/patch-o-matic.exclude,v retrieving revision 1.15 retrieving revision 1.16 diff -u -d -r1.15 -r1.16 --- patch-o-matic.exclude 27 Mar 2007 15:54:22 -0000 1.15 +++ patch-o-matic.exclude 24 Feb 2009 22:39:47 -0000 1.16 @@ -1,17 +1,12 @@ -base/IPV4OPTSSTRIP -extra/ROUTE -extra/TARPIT -extra/conntrack_nonat -extra/directx8-conntrack-nat -extra/eggdrop-conntrack -base/ipv4options -extra/layer2-hooks -extra/mms-conntrack-nat -extra/msnp-conntrack-nat -extra/quake3-conntrack-nat -extra/rpc -extra/rsh -extra/rtsp-conntrack -#base/set -extra/talk-conntrack-nat -base/u32 +external/ACCOUNT +external/IPMARK +external/ROUTE +external/TARPIT +external/condition +external/connlimit +external/geoip +external/ipp2p +external/ipv4options +external/pknock +external/time + |
|
From: Serge L. <sma...@us...> - 2009-02-24 22:59:31
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv22318 Modified Files: md5sum.lst Log Message: - update p-o-m. Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.471 retrieving revision 1.472 diff -u -d -r1.471 -r1.472 --- md5sum.lst 24 Feb 2009 21:03:14 -0000 1.471 +++ md5sum.lst 24 Feb 2009 22:39:46 -0000 1.472 @@ -450,7 +450,7 @@ 40dd0853d0c1c2cc019d6e2e8146555a src/passwdgen-1.diff.bz2 097cf193d1b040cf0d135945714faa83 src/passwdgen-2.2.tar.gz 82691ff96bff9b4fa19f91b69a9695f9 src/patch-2.6.27.10.bz2 -993ff355ea29c9440b2aac4356a3678d src/patch-o-matic-ng-20081129.tar.bz2 +994e2bd291d62885a1907c8074a1183e src/patch-o-matic-ng-20090209.tar.bz2 3724faa70b181200cf39ea422ab1508c src/pax-linux-2.6.27.10-test29.patch.bz2 acf0e368cb33bc2f6a335ba3f5e4fd2b src/pax-utils-0.1.15.tar.bz2 149bcb2508e9bfb092954c294b97f876 src/pci.ids.bz2 |
|
From: Serge L. <sma...@us...> - 2009-02-24 21:03:22
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv3137 Modified Files: CHANGES md5sum.lst Log Message: - added ssmtp (tiny smtp server) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1242 retrieving revision 1.1243 diff -u -d -r1.1242 -r1.1243 --- CHANGES 24 Feb 2009 02:45:48 -0000 1.1242 +++ CHANGES 24 Feb 2009 21:03:14 -0000 1.1243 @@ -22,6 +22,7 @@ # 1.3.7 +- added ssmtp as an optional smtp server (sl) - added db-4 patches to resolved deadlock issue - updated openldap to 2.4.14 - corrected problem with booting from an iso image when using pre-unionfs config Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.470 retrieving revision 1.471 diff -u -d -r1.470 -r1.471 --- md5sum.lst 24 Feb 2009 02:45:48 -0000 1.470 +++ md5sum.lst 24 Feb 2009 21:03:14 -0000 1.471 @@ -528,6 +528,8 @@ 4009abfbf33d86f40db3ec4280716a0e src/squid-3.0.STABLE9.tar.bz2 b6700f59c48fde5ad4d12f871acba93a src/squidGuard-1.2.1.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 +a625a904dfd39a14754cce23bd6524fa src/ssmtp_2.62-3.dl.patch.bz2 +257ac04e62ab7e3616e220333a1140cb src/ssmtp_2.62.orig.tar.gz e9449fcee97e6a8ed73934c883c870e0 src/strace-4.5.18.tar.bz2 6ce869f3089bb8654a2379cad5539a4a src/strongswan-4.2.9.tar.bz2 0f6706540fbe000513940f4860698405 src/stunnel-4.26.tar.gz |
|
From: Serge L. <sma...@us...> - 2009-02-24 20:56:58
|
Update of /cvsroot/devil-linux/build/scripts/configuration/help In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv26477/configuration/help Added Files: ssmtp.help Log Message: - added SSMTP as a tiny replacement of postfix/sendmail --- NEW FILE: ssmtp.help --- CONFIG_SSMTP The ssmtp program is designed to be a substitute for sendmail (or postfix) for people who need an external smtp program to send mail. A secure, effective and simple way of getting mail off a system to your mail hub. It contains no suid-binaries or other dangerous things - no mail spool to poke around in, and no daemons running in the background. Mail is simply forwarded to the configured mailhost. Extremely easy configuration. |
|
From: Serge L. <sma...@us...> - 2009-02-24 20:56:58
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv26477/configuration Added Files: ssmtp.config Log Message: - added SSMTP as a tiny replacement of postfix/sendmail --- NEW FILE: ssmtp.config --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/configuration/ssmtp.config,v $ # $Revision: 1.1 $ # $Date: 2009/02/24 20:56:51 $ # # http://www.devil-linux.org if [ ! "$CONFIG_POSTFIX" = "y" ]; then menu_add "Networking|Mail" bool "SSMTP (Simple SMTP)" CONFIG_SSMTP fi |
|
From: Serge L. <sma...@us...> - 2009-02-24 20:56:58
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv26477 Added Files: ssmtp Log Message: - added SSMTP as a tiny replacement of postfix/sendmail --- NEW FILE: ssmtp --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/ssmtp,v $ # $Revision: 1.1 $ # $Date: 2009/02/24 20:56:51 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: ssmtp # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) if [ "$CONFIG_SSMTP" = "y" ]; then if [ ! -f dl_patches.done ]; then bzcat $DL_DIR/src/ssmtp_*.dl.patch.bz2 | patch -p1 || exit 1 touch dl_patches.done fi ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-ssl --enable-md5auth --enable-inet6 --enable-rewrite-domain || exit 1 # Don't use $PMAKE make || exit 1 strip_debug fi ;; install ) if [ "$CONFIG_SSMTP" = "y" ]; then # Install everything manually because ssmtp 'make install' is very limited rm -rf $TMPDIR install -d -m 755 $TMPDIR/usr/sbin install -m 755 ssmtp $TMPDIR/usr/sbin/ssmtp || exit 1 install -m 755 mail $TMPDIR/usr/sbin/mail || exit 1 ln -sf ssmtp $TMPDIR/usr/sbin/sendmail || exit 1 ln -sf ssmtp $TMPDIR/usr/sbin/newaliases || exit 1 ln -sf ssmtp $TMPDIR/usr/sbin/mailq || exit 1 install -d -m 755 -o root -g root $TMPDIR/usr/lib ln -sf ../sbin/sendmail $TMPDIR/usr/lib/sendmail || exit 1 install -d -m 755 $TMPDIR/usr/share/man/man8 install -d -m 755 $TMPDIR/usr/share/man/man5 install -m 644 newaliases.8 $TMPDIR/usr/share/man/man8 || exit 1 install -m 644 mailq.8 $TMPDIR/usr/share/man/man8 || exit 1 install -m 644 ssmtp.8 $TMPDIR/usr/share/man/man8 || exit 1 install -m 644 ssmtp.conf.5 $TMPDIR/usr/share/man/man5 || exit 1 ln -sf ssmtp.8 $TMPDIR/usr/share/man/man8/sendmail.8 || exit 1 #copy_man install -d -m 755 $TMPDIR/etc/ssmtp install -m 644 revaliases $TMPDIR/etc/ssmtp/revaliases || exit 1 install -m 644 ssmtp.conf $TMPDIR/etc/ssmtp/ssmtp.conf || exit 1 cp -dpvR $TMPDIR/etc/ssmtp $ETCDIR/etc/ || exit 1 rm -rf $TMPDIR/etc cp -dpvR $TMPDIR/* $CDDIR/ || exit 1 rm -rf $TMPDIR || exit 1 fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Serge L. <sma...@us...> - 2009-02-24 19:31:18
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv11529/scripts Modified Files: ipsec Log Message: - typos were fixed Index: ipsec =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/ipsec,v retrieving revision 1.6 retrieving revision 1.7 diff -u -d -r1.6 -r1.7 --- ipsec 24 Feb 2009 19:28:00 -0000 1.6 +++ ipsec 24 Feb 2009 19:31:09 -0000 1.7 @@ -64,3 +64,4 @@ ;; esac +exit 0 |
|
From: Serge L. <sma...@us...> - 2009-02-24 19:31:16
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv11529 Modified Files: strongswan Log Message: - typos were fixed Index: strongswan =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/strongswan,v retrieving revision 1.7 retrieving revision 1.8 diff -u -d -r1.7 -r1.8 --- strongswan 24 Feb 2009 19:27:59 -0000 1.7 +++ strongswan 24 Feb 2009 19:31:09 -0000 1.8 @@ -80,7 +80,7 @@ chmod +x $ETCDIR/etc/init.d/ipsec rm -rf $TMPDIR || exit 1 - echo "# Start StrongSwan/IPSec suppoty?" >> $CONFIGFILE + echo "# Start StrongSwan/IPSec support?" >> $CONFIGFILE echo "START_IPSEC=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_IPSEC=\"IPSec VPN tunnel support (StrongSwan)\"" >> $SOFTWAREHELP |
|
From: Serge L. <sma...@us...> - 2009-02-24 19:28:09
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv10825/scripts Modified Files: ipsec Log Message: - added/fixed init script Index: ipsec =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/ipsec,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- ipsec 17 Oct 2005 19:16:16 -0000 1.5 +++ ipsec 24 Feb 2009 19:28:00 -0000 1.6 @@ -1,55 +1,33 @@ -#!/bin/sh -# IPsec startup and shutdown script -# Copyright (C) 1998, 1999, 2001 Henry Spencer. -# Copyright (C) 2002 Michael Richardson <mc...@fr...> -# -# This program is free software; you can redistribute it and/or modify it -# under the terms of the GNU General Public License as published by the -# Free Software Foundation; either version 2 of the License, or (at your -# option) any later version. See <http://www.fsf.org/copyleft/gpl.txt>. -# -# This program is distributed in the hope that it will be useful, but -# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY -# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License -# for more details. -# -# RCSID $Id$ -# -# ipsec init.d script for starting and stopping -# the IPsec security subsystem (KLIPS and Pluto). -# -# This script becomes /etc/rc.d/init.d/ipsec (or possibly /etc/init.d/ipsec) -# and is also accessible as "ipsec setup" (the preferred route for human -# invocation). -# -# The startup and shutdown times are a difficult compromise (in particular, -# it is almost impossible to reconcile them with the insanely early/late -# times of NFS filesystem startup/shutdown). Startup is after startup of -# syslog and pcmcia support; shutdown is just before shutdown of syslog. -# -# chkconfig: 2345 47 76 -# description: IPsec provides encrypted and authenticated communications; \ -# KLIPS is the kernel half of it, Pluto is the user-level management daemon. - - +#! /bin/sh # # $Source$ # $Revision$ # $Date$ # # http://www.devil-linux.org - +# ### BEGIN INIT INFO # Provides: ipsec # Required-Start: $network $syslog $named # Required-Stop: $network $syslog $named # Default-Start: 3 5 # Default-Stop: 0 1 2 6 -# Description: starts FreeS/WAN +# Short-Description: Strongswan IPsec services ### END INIT INFO -# settings +# settings/functions source /etc/sysconfig/config +source /etc/init.d/functions + +DAEMON=/usr/sbin/ipsec +PIDFILE=/var/run/ipsec.pid + +# Exit if the package is not installed +if [ ! -e $DAEMON ]; then + echo + echo "$DAEMON not found. Did you install the package?" + exit 1 +fi CONFIGNAME=IPSEC eval START=\$START_$CONFIGNAME @@ -62,145 +40,27 @@ test $link = $base && START=yes test "$START" = "yes" || exit 0 -me='ipsec setup' # for messages - -# where the private directory and the config files are -IPSEC_EXECDIR="${IPSEC_EXECDIR-/usr/libexec/ipsec}" -IPSEC_LIBDIR="${IPSEC_LIBDIR-/usr/lib/ipsec}" -IPSEC_SBINDIR="${IPSEC_SBINDIR-/usr/sbin}" -IPSEC_CONFS="${IPSEC_CONFS-/etc}" - -if test " $IPSEC_DIR" = " " # if we were not called by the ipsec command -then - # we must establish a suitable PATH ourselves - PATH="${IPSEC_SBINDIR}":/sbin:/usr/sbin:/usr/local/bin:/bin:/usr/bin - export PATH - - IPSEC_DIR="$IPSEC_LIBDIR" - export IPSEC_DIR IPSEC_CONFS IPSEC_LIBDIR IPSEC_EXECDIR -fi - -# Check that the ipsec command is available. -found= -for dir in `echo $PATH | tr ':' ' '` -do - if test -f $dir/ipsec -a -x $dir/ipsec - then - found=yes - break # NOTE BREAK OUT - fi -done -if ! test "$found" -then - echo "cannot find ipsec command -- \`$1' aborted" | - logger -s -p daemon.error -t ipsec_setup - exit 1 -fi - -# accept a few flags - -export IPSEC_setupflags -IPSEC_setupflags="" - -config="" - -for dummy -do - case "$1" in - --showonly|--show) IPSEC_setupflags="$1" ;; - --config) config="--config $2" ; shift ;; - *) break ;; - esac - shift -done - - -# Pick up IPsec configuration (until we have done this, successfully, we -# do not know where errors should go, hence the explicit "daemon.error"s.) -# Note the "--export", which exports the variables created. -eval `ipsec _confread $config --optional --varprefix IPSEC --export --type config setup` - -if test " $IPSEC_confreadstatus" != " " -then - case $1 in - stop|--stop|_autostop) - echo "$IPSEC_confreadstatus -- \`$1' may not work" | - logger -s -p daemon.error -t ipsec_setup;; - - *) echo "$IPSEC_confreadstatus -- \`$1' aborted" | - logger -s -p daemon.error -t ipsec_setup; - exit 1;; - esac -fi - -IPSEC_confreadsection=${IPSEC_confreadsection:-setup} -export IPSEC_confreadsection - -IPSECsyslog=${IPSECsyslog-daemon.error} -export IPSECsyslog - -# misc setup -umask 022 - -mkdir -p /var/run/pluto - - -# do it case "$1" in - start|--start|stop|--stop|_autostop|_autostart) - if test " `id -u`" != " 0" - then - echo "permission denied (must be superuser)" | - logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 - exit 1 - fi - tmp=/var/run/pluto/ipsec_setup.st - outtmp=/var/run/pluto/ipsec_setup.out - ( - ipsec _realsetup $1 - echo "$?" >$tmp - ) > ${outtmp} 2>&1 - st=$? - if test -f $tmp - then - st=`cat $tmp` - rm -f $tmp - fi - if [ -f ${outtmp} ]; then - cat ${outtmp} | logger -s -p $IPSECsyslog -t ipsec_setup 2>&1 - rm -f ${outtmp} - fi - exit $st - ;; - - restart|--restart|force-reload) - $0 $IPSEC_setupflags stop - $0 $IPSEC_setupflags start + start) + loadproc $DAEMON start ;; - - _autorestart) # for internal use only - $0 $IPSEC_setupflags _autostop - $0 $IPSEC_setupflags _autostart + stop) + $DAEMON stop && echo_success || ( killproc $DAEMON ; evaluate_retval) ;; - - status|--status) - ipsec _realsetup $1 - exit + status) + $DAEMON status ;; - - --version) - echo "$me $IPSEC_VERSION" - exit 0 + reload) + $DAEMON reload + evaluate_retval ;; - - --help) - echo "Usage: $me {--start|--stop|--restart|--status}" - exit 0 + restart) + $DAEMON restart + evaluate_retval ;; - *) - echo "Usage: $me {--start|--stop|--restart|--status}" >&2 - exit 2 + echo "Usage: $SCRIPTNAME {start|stop|restart|reload}" >&2 + exit 1 + ;; esac -exit 0 |
|
From: Serge L. <sma...@us...> - 2009-02-24 19:28:08
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv10825 Modified Files: strongswan Log Message: - added/fixed init script Index: strongswan =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/strongswan,v retrieving revision 1.6 retrieving revision 1.7 diff -u -d -r1.6 -r1.7 --- strongswan 7 Jan 2009 06:27:53 -0000 1.6 +++ strongswan 24 Feb 2009 19:27:59 -0000 1.7 @@ -76,7 +76,15 @@ find $TMPDIR/usr/ -type f \( -name '*.a' -o -name '*.la' \) -exec rm \{\} \+ copy_files $TMPDIR/usr $CDDIR/ || exit 1 copy_files $TMPDIR/etc $ETCDIR/ || exit 1 + cp -p $MYDIR/scripts/ipsec $ETCDIR/etc/init.d || exit 1 + chmod +x $ETCDIR/etc/init.d/ipsec rm -rf $TMPDIR || exit 1 + + echo "# Start StrongSwan/IPSec suppoty?" >> $CONFIGFILE + echo "START_IPSEC=no" >> $CONFIGFILE + echo >> $CONFIGFILE + echo "HELP_IPSEC=\"IPSec VPN tunnel support (StrongSwan)\"" >> $SOFTWAREHELP + fi ;; |
|
From: Heiko Z. <smi...@us...> - 2009-02-24 02:45:53
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv7821/scripts Modified Files: db-4 Log Message: - added db-4 patches to resolved deadlock issue - updated openldap to 2.4.14 Index: db-4 =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/db-4,v retrieving revision 1.7 retrieving revision 1.8 diff -u -d -r1.7 -r1.8 --- db-4 17 Aug 2006 23:43:33 -0000 1.7 +++ db-4 24 Feb 2009 02:45:48 -0000 1.8 @@ -25,6 +25,16 @@ case $1 in build ) + echo $(pwd) + if [ ! -f devil-linux-db-4-patches.done ]; then + for PATCH in $(ls ../db4patches/*) + do + echo applying patch: $PATCH + patch -i $PATCH -p0 || exit 1 + done + touch devil-linux-db-4-patches.done + fi + DB4DIR=$(pwd) rm -rf ../db4-build mkdir ../db4-build || exit 1 |
|
From: Heiko Z. <smi...@us...> - 2009-02-24 02:45:52
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv7821 Modified Files: CHANGES md5sum.lst Log Message: - added db-4 patches to resolved deadlock issue - updated openldap to 2.4.14 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1241 retrieving revision 1.1242 diff -u -d -r1.1241 -r1.1242 --- CHANGES 21 Feb 2009 00:46:52 -0000 1.1241 +++ CHANGES 24 Feb 2009 02:45:48 -0000 1.1242 @@ -22,6 +22,8 @@ # 1.3.7 +- added db-4 patches to resolved deadlock issue +- updated openldap to 2.4.14 - corrected problem with booting from an iso image when using pre-unionfs config - added pam_mount 1.18 - added libHX 2.5 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.469 retrieving revision 1.470 diff -u -d -r1.469 -r1.470 --- md5sum.lst 21 Feb 2009 00:48:43 -0000 1.469 +++ md5sum.lst 24 Feb 2009 02:45:48 -0000 1.470 @@ -185,6 +185,7 @@ 58b56d1e964f3f0186f3eeed3d95d9a4 src/dante-1.1.19.tar.gz de290b9d4ff93838be0779a6daa66fff src/dar-2.3.6.tar.gz ec2b87e833779681a0c3a814aa71359e src/db-4.7.25.tar.gz +fee75b512438211b0709a4e6b41abe87 src/db4patches.tar.bz2 0552a9b54beb4a044951b7cdbc8fc855 src/dbus-1.0.2.tar.gz 2d6c0ff3b1a7e56e95862a8a74c2d95c src/dcc-1.3.86.tar.Z e393cbf386831825ae8814d9341feadd src/ddup-3.0.1.tar.bz2 @@ -433,7 +434,7 @@ d7043ba34b5038f0113b099ede0884fb src/openh323-v1_18_0-src.tar.gz e1dd82f54cffad3d76da9e712dc58c48 src/openl2tp-0.19_ppp_unix.c.patch.bz2 87f035ca5ddf7c61e720f422cdc997cf src/openl2tp-1.6.tar.gz -5382bbb4c67172c48c871b6d24b7f8cc src/openldap-2.4.13.tgz +fe2089adac9e9bef7172c2fb61cb6ae9 src/openldap-2.4.14.tgz 03f2d0c1b5ec60d4ac9997a146d2faec src/openssh-5.1p1.tar.gz 8d7deea5f6d84fef90d1e256990ef048 src/openssl-0.9.8b-sha.diff.bz2 bf768bc75cfb7e1774d314a2bd953f6d src/openssl-0.9.8e-engine.diff.bz2 |
|
From: Heiko Z. <smi...@us...> - 2009-02-21 00:48:50
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9783 Modified Files: md5sum.lst Log Message: oops Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.468 retrieving revision 1.469 diff -u -d -r1.468 -r1.469 --- md5sum.lst 21 Feb 2009 00:46:56 -0000 1.468 +++ md5sum.lst 21 Feb 2009 00:48:43 -0000 1.469 @@ -443,7 +443,6 @@ 212df4b1bcb3e63bea3de23b04e6786e src/p7zip_4.57-libun7zip.patch.bz2 773f78d8b297eb858626667d4dfa93c7 src/p7zip_4.57_src_all.tar.bz2 1b381b5f1ce67fe0a885d9a7c69b93af src/pam_ldap.tgz -70be864effaeec1b57b491e91ddb57b0 src/pam_mount-0.29.tar.bz2 209a0e73d1b71e4fc724f2f3be695119 src/pam_mount-1.18.tar.bz2 623edc50023b183c7b36a03353edcdf0 src/pam_mysql-0.6.2.tar.gz a5d27ccbaaad9d9fb254b01a3c12bd06 src/pam_radius-1.3.17.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2009-02-21 00:47:47
|
Update of /cvsroot/devil-linux/build/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9659/scripts Added Files: libHX pam_mount Log Message: - corrected problem with booting from an iso image when using pre-unionfs config - added pam_mount 1.18 - added libHX 2.5 - updated samba to 3.2.28 --- NEW FILE: libHX --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/libHX,v $ # $Revision: 1.1 $ # $Date: 2009/02/21 00:47:40 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: libHX # Required-Start: $basebuildtools glibc # Required-Stop: # Default-Start: 1 # Default-Stop: # Description: http://jengelh.medozas.de/projects/libHX/ ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) ./configure --prefix=/usr || exit 1 make $PMAKE || exit 1 strip_debug # we have to install this immediately, because this is a library and could be needed by other sources make install || exit 1 ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: pam_mount --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/pam_mount,v $ # $Revision: 1.1 $ # $Date: 2009/02/21 00:47:41 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: pam_mount # Required-Start: $basebuildtools Linux-PAM # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) ./configure --prefix=/usr --sysconfdir=/etc || exit 1 make $PMAKE || exit 1 strip_debug ;; install ) make install DESTDIR=$TMPDIR || exit 1 copy_docs $TMPDIR cp -dpvR $TMPDIR/etc $ETCDIR || exit 1 rm -rf $TMPDIR/etc || exit 1 cp -dpvR $TMPDIR/* $CDDIR/ || exit 1 rm -rf $TMPDIR ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: Heiko Z. <smi...@us...> - 2009-02-21 00:47:05
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9556/config/etc/initrd Modified Files: linuxrc mount_cdrom Log Message: - corrected problem with booting from an iso image when using pre-unionfs config - added pam_mount 1.18 - added libHX 2.5 - updated samba to 3.2.28 Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.106 retrieving revision 1.107 diff -u -d -r1.106 -r1.107 --- linuxrc 20 Feb 2009 20:50:25 -0000 1.106 +++ linuxrc 21 Feb 2009 00:47:01 -0000 1.107 @@ -361,7 +361,7 @@ $GREEN echo "loading configuration" $NORMAL -if [ "$REALLY_LIVE" = "1" ] ; then +if [ "$REALLY_LIVE" = "1" ] ; then # check to see if cdrom has already been mounted if [ ! -e /cdrom/DEVIL-LINUX ] ; then # find the CDROM @@ -373,18 +373,20 @@ # we unmount here to be able to possibly activate run from ram # if that's activated by the default config # (bug reported by Dmitry Komarov) - sync - let i=0 - while (! umount /cdrom 2>/dev/null) && [ $i -lt 10 ]; do - # at least in qemu there exists a race condition - # when unmounting the cdrom - let i=i+1 - sleep 1 - done + if [ -e /shm/dl_run_from_ram ] ; then + sync + let i=0 + while (! umount /cdrom 2>/dev/null) && [ $i -lt 10 ]; do + # at least in qemu there exists a race condition + # when unmounting the cdrom + let i=i+1 + sleep 1 + done # # FIXME - need to solve this in a nicer way as we search for # the cd/image twice which is quite ugly (fl) # + fi else tar -C /shm -xjf /floppy/$DL_CONFIG_FILE fi @@ -398,7 +400,7 @@ # check to see if cdrom has already been mounted if [ ! -e /cdrom/DEVIL-LINUX ] ; then # find the CDROM - /mount_cdrom /cdrom + mount_cdrom /cdrom reboot_if_updated fi Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.49 retrieving revision 1.50 diff -u -d -r1.49 -r1.50 --- mount_cdrom 29 Jan 2009 02:56:54 -0000 1.49 +++ mount_cdrom 21 Feb 2009 00:47:02 -0000 1.50 @@ -248,6 +248,7 @@ # finally done $GREEN; echo 'System is now fully running from RAM'; $NORMAL + touch /shm/dl_run_from_ram return 0 } |
|
From: Heiko Z. <smi...@us...> - 2009-02-21 00:47:05
|
Update of /cvsroot/devil-linux/build In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9556 Modified Files: CHANGES md5sum.lst Log Message: - corrected problem with booting from an iso image when using pre-unionfs config - added pam_mount 1.18 - added libHX 2.5 - updated samba to 3.2.28 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1240 retrieving revision 1.1241 diff -u -d -r1.1240 -r1.1241 --- CHANGES 12 Feb 2009 00:02:21 -0000 1.1240 +++ CHANGES 21 Feb 2009 00:46:52 -0000 1.1241 @@ -22,6 +22,10 @@ # 1.3.7 +- corrected problem with booting from an iso image when using pre-unionfs config +- added pam_mount 1.18 +- added libHX 2.5 +- updated samba to 3.2.28 - fixed "time" match of netfilter (sl) - NFS client enable/disable option (sl/Stefan Engel) - updated EXAMPLES in dst (sl) Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.467 retrieving revision 1.468 diff -u -d -r1.467 -r1.468 --- md5sum.lst 12 Feb 2009 00:02:21 -0000 1.467 +++ md5sum.lst 21 Feb 2009 00:46:56 -0000 1.468 @@ -322,6 +322,7 @@ 7b1c58a6289448140b1cd328e1d51f94 src/lftp-3.7.7.tar.bz2 5aa3b0d29b27b7a3e1d80962c94f54cb src/lha_1.14i-5.diff.gz 10410742b0169f3357ef9a3f0f032037 src/lha_1.14i.orig.tar.gz +8d8730995b48ac51d0bafd4b60077a21 src/libHX-2.5.tar.bz2 ea34faf74e0efc6a0983252406c325c2 src/libart-lgpl_2.3.17-1.diff.gz aca5caa0116d7c54865c94e0aa5ace91 src/libart-lgpl_2.3.17.orig.tar.gz 2e369aaa59f61db9ae4ace6bf215e561 src/libcap-1.10.patch.bz2 @@ -442,6 +443,8 @@ 212df4b1bcb3e63bea3de23b04e6786e src/p7zip_4.57-libun7zip.patch.bz2 773f78d8b297eb858626667d4dfa93c7 src/p7zip_4.57_src_all.tar.bz2 1b381b5f1ce67fe0a885d9a7c69b93af src/pam_ldap.tgz +70be864effaeec1b57b491e91ddb57b0 src/pam_mount-0.29.tar.bz2 +209a0e73d1b71e4fc724f2f3be695119 src/pam_mount-1.18.tar.bz2 623edc50023b183c7b36a03353edcdf0 src/pam_mysql-0.6.2.tar.gz a5d27ccbaaad9d9fb254b01a3c12bd06 src/pam_radius-1.3.17.tar.gz 40dd0853d0c1c2cc019d6e2e8146555a src/passwdgen-1.diff.bz2 @@ -502,7 +505,7 @@ c5cabb219687c483d259bdb0225e2a57 src/sagator-1.0.0.tar.bz2 fa970fc8b4899f3b6afc09936622f672 src/sagator-libclamav-1.2.3.tar.bz2 cf9fbfbb4215592f9f0e0f8f9d85183d src/sagator-pydspam-0.9.0.tar.bz2 -528677f261f3ed4a58f9483ca25ba6b2 src/samba-3.2.7.tar.gz +06efd6e6cc4aac628a1a0b082e4be0f2 src/samba-3.2.8.tar.gz 6e2e2c386a89aaff31f048eb2a6c5b1a src/sarg-2.2.3.1.tar.gz f1eb94c7588e878df806b63aa8348174 src/scponly-20080308.tgz 8506fd205028a96c741e4037de6e3c42 src/screen-4.0.3.tar.gz |
|
From: Heiko Z. <smi...@us...> - 2009-02-20 20:50:40
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv9630 Modified Files: linuxrc Log Message: small typo Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.105 retrieving revision 1.106 diff -u -d -r1.105 -r1.106 --- linuxrc 20 Feb 2009 04:38:37 -0000 1.105 +++ linuxrc 20 Feb 2009 20:50:25 -0000 1.106 @@ -194,7 +194,7 @@ echo "Rebooting..." sleep 3 reboot - echo "Oops... something goes wrong..." + echo "Oops... something went wrong..." $NORMAL /bin/sh fi |
|
From: Serge L. <sma...@us...> - 2009-02-20 04:41:03
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv32069 Modified Files: pre_init Log Message: - functionality was moved to linuxrc Index: pre_init =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v retrieving revision 1.31 retrieving revision 1.32 diff -u -d -r1.31 -r1.32 --- pre_init 30 May 2008 13:11:56 -0000 1.31 +++ pre_init 20 Feb 2009 04:40:57 -0000 1.32 @@ -53,12 +53,6 @@ # if boot was from ISO image file on disk, this next umount won't succeed. # Use -l (lazy) to disconnect it from filesystem while preserving existing use, # and clean up when possible to truly unmount it, ie after ISO is unmounted. (Does this happen?) -if [ -f /initrd/cd/bootcd.iso ]; then - # move the mountpoint of initrd/cd to /var/adm/boot - # this will allow the administrator to install updates later - mkdir -p /shm/var/adm/boot - mount --move -o ro /initrd/cd /shm/var/adm/boot -fi # umount the initrd # this won't completely umount, because the loop device is still using it # that's why we use the lazy option |
|
From: Serge L. <sma...@us...> - 2009-02-20 04:38:46
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv30995/d/d/d Modified Files: linuxrc Log Message: - the partition with DL image should be accessable in case of initrd and iniramfs Index: linuxrc =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/linuxrc,v retrieving revision 1.104 retrieving revision 1.105 diff -u -d -r1.104 -r1.105 --- linuxrc 29 Jan 2009 02:56:54 -0000 1.104 +++ linuxrc 20 Feb 2009 04:38:37 -0000 1.105 @@ -460,10 +460,17 @@ echo "Mounting SHM FS on /cdrom/shm" mount -n --move /shm /cdrom/shm -#umount /shm -echo -n "Unmounting " +# move the mountpoint of /cd to /var/adm/boot +# this will allow the administrator to install updates later +if grep "/dev/loop" /proc/mounts > /dev/null ; then + if [ -f /cd/bootcd.iso -o -f /cd/bootcd.squash ] ; then + mkdir -p /cdrom/shm/var/adm/boot + mount --move -o ro /cd /cdrom/shm/var/adm/boot + fi +fi +echo -n "Unmounting " # unmount proc because the final system will mount it again $GREEN; echo " proc"; $NORMAL umount /proc |
|
From: Serge L. <sma...@us...> - 2009-02-20 04:38:46
|
Update of /cvsroot/devil-linux/build/scripts/config In directory fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv30995/scripts/config Modified Files: initrd_initramfs.linuxrc.diff Log Message: - the partition with DL image should be accessable in case of initrd and iniramfs Index: initrd_initramfs.linuxrc.diff =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/initrd_initramfs.linuxrc.diff,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- initrd_initramfs.linuxrc.diff 19 May 2008 12:37:20 -0000 1.1 +++ initrd_initramfs.linuxrc.diff 20 Feb 2009 04:38:37 -0000 1.2 @@ -1,7 +1,7 @@ diff -aur old/linuxrc new/linuxrc --- old/linuxrc 2008-05-15 07:26:13.000000000 -0400 +++ new/linuxrc 2008-05-15 07:26:12.000000000 -0400 -@@ -441,12 +441,7 @@ +@@ -477,12 +477,7 @@ # start the system by swapping /dev/ram0 and /shm echo "Starting up final system..." @@ -11,7 +11,7 @@ -pivot_root . initrd -cd / # see "man 2 pivot_root" -exec /usr/sbin/chroot . /sbin/pre_init $DL_CONFIG_SOURCE $DL_CONFIG_FILE $@ <shm/dev/console >shm/dev/console 2>&1 -+exec switch_root /cdrom /sbin/pre_init ++exec switch_root /cdrom /sbin/pre_init $DL_CONFIG_SOURCE $DL_CONFIG_FILE "$@" </cdrom/shm/dev/console >/cdrom//shm/dev/console # something went wrong echo |